[Communication Drivers] CoDeSys Automation Alliance CoDeSys V3 Ethernet Driver

Summary

Last Updated: August 26, 2019

Details

Caution
Precautions for adding a new driver onto Windows Vista or later
Precautions for adding a new driver at Daylight Saving Time
Title CoDeSys Automation Alliance CoDeSys V3 Ethernet Driver
Version Ver. 1.14.07
Supported Software The required versions of software for this driver installer are as follows.
  • GP-Pro EX Ver. 3.01.000 or later
  • Pro-Server EX Ver. 1.31.000 or later
You can check your version by "Help" function → "Version Info".
Supported Devices
  • 3S-Smart Software Solutions GmbH CODESYS Control Win V3
  • Hitachi Industrial Equipment Systems Co., Ltd. EHV+, HX
  • Lenze Vertrieb GmbH Controller 3200C

Please refer to the latest list of the External Device to be supported by this driver on this page.

Supported Units Required versions depend on models.
Please check "Supported Models / Version" or the required versions of GP-Pro EX.

Required driver versions for different models are listed below
Model Required driver version
GP4100 Series(GP4114) Ver. 1.13.01 or later
GP4000 Series Ver. 1.12.00 or later
LT4000M Series Ver. 1.12.00 or later
SP5000 Series Ver. 1.13.00 or later
SP5000 X Series Ver. 1.14.06 or later
GP4000E Series Ver. 1.13.01 or later
IPC Series for WinGP Ver. 1.12.00 or later
General PCs for WinGP Ver. 1.12.00 or later
Device/PLC
Connection Manual
For details, please read the following PDF: codesys3.pdf
For general information regarding Device connection and documentation conventions, please refer to "Device/PLC Connection Manual".
Updated Contents Ver. 1.14.07 The following issue were fixed:
  • When “T_” is at the beginning of the variable name, the importing variable sometimes failed.
  • When there are function comments, the importing variables sometimes failed.
  • When using a Data Type with a mixed case, importing variables could fail.

How to install (This is a self-extracting file.)

Prior to installation, be sure to close all software applications that are running.

  1. Click on the above file name to download the data to desired folder.
  2. After the download to your PC is finished, double-click on the file’s icon to start the installer program.
  3. After the installer starts, follow the instructions given on each screen.
  4. After installation, execute GP-Pro EX.
  5. After installation, click on the Device/PLC area’s [CoDeSys Automation Alliance] selection and select [CoDeSys V3 Ethernet].
When using the driver, be sure to refer to the Device Connection Manual PDF (Shown above). Also, for general information regarding Device connection and documentation conventions please refer to "Device/PLC Connection Manual".

Terms of use / Cautions

Please be acknowledged of the following terms of use before you use our download service.
Download of any file signifies your agreement to the terms of use.
Terms and conditions

Download file

Installer :
3.51 MB (3,678,744Byte)
Last update: 2019/08/21
Device/PLC Connection Manual :
883.52 KB (904,724Byte)
Last update: 2019/09/04

Update history

  • Ver. 1.14.07 The following issue were fixed:
    • When “T_” is at the beginning of the variable name, the importing variable sometimes failed.
    • When there are function comments, the importing variables sometimes failed.
    • When using a Data Type with a mixed case, importing variables could fail.
  • Ver. 1.14.06 The following issue were fixed:
    • Importing variable comments sometimes failed.
  • Ver. 1.14.05 The following issue were fixed:
    • On the LT4000 series, GP-4402 WW, GP-4502WW, GP-4114T, GP-4115T, GP-4116T, and SP5B10, sometimes after transferring an error displayed and the unit did not start up.
  • Ver. 1.14.02 The following issue were fixed:
    • Sometimes failed to import variables.
    • Sometimes failed to import structured variables.
    • Reading text data sometimes caused WinGP or Open Box to stop running.
  • Ver. 1.13.01 The following issue were fixed:
    • An abnormal application termination could occur with WinGP if "Node Name (or) Address" setting was empty.
  • Ver. 1.13.00 The following issue were fixed:
    • SP5000(SP5B10) series are supported.
  • Ver. 1.12.00 New